OpenTTD Source: NewGRFProfiler::Call Struct Reference

OpenTTD Source 15.3

Data Fields
NewGRFProfiler::Call Struct Reference

Measurement of a single sprite group resolution. More...

`#include <newgrf_profiling.h>`

## Data Fields
uint32_t | root_sprite
| Pseudo-sprite index in GRF file.
uint32_t | item
| Local ID of item being resolved for.
uint32_t | result
| Result of callback.
uint32_t | subs
| Sub-calls to other sprite groups.
uint32_t | time
| Time taken for resolution (microseconds)
uint64_t | tick
| Game tick.
CallbackID | cb
| Callback ID.
GrfSpecFeature | feat
| GRF feature being resolved for.

## Detailed Description

Measurement of a single sprite group resolution.

Definition at line 40 of file newgrf_profiling.h.

## Field Documentation

## ◆ cb

CallbackID NewGRFProfiler::Call::cb

Callback ID.

Definition at line 47 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve().

## ◆ feat

GrfSpecFeature NewGRFProfiler::Call::feat

GRF feature being resolved for.

Definition at line 48 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve().

## ◆ item

uint32_t NewGRFProfiler::Call::item

Local ID of item being resolved for.

Definition at line 42 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve().

## ◆ result

uint32_t NewGRFProfiler::Call::result

Result of callback.

Definition at line 43 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::EndResolve().

## ◆ root_sprite

uint32_t NewGRFProfiler::Call::root_sprite

Pseudo-sprite index in GRF file.

Definition at line 41 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve().

## ◆ subs

uint32_t NewGRFProfiler::Call::subs

Sub-calls to other sprite groups.

Definition at line 44 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve(), and NewGRFProfiler::RecursiveResolve().

## ◆ tick

uint64_t NewGRFProfiler::Call::tick

Game tick.

Definition at line 46 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve().

## ◆ time

uint32_t NewGRFProfiler::Call::time

Time taken for resolution (microseconds)

Definition at line 45 of file newgrf_profiling.h.

Referenced by NewGRFProfiler::BeginResolve(), and NewGRFProfiler::EndResolve().

The documentation for this struct was generated from the following file:

- src/newgrf_profiling.h